#ifndef WINMAIN_H
#define WINMAIN_H

#include <QMainWindow>
#include <QString>
#include "UserImp.h"

namespace Ui {
class WinMain;
}

class WinMainC : public QMainWindow
{
    Q_OBJECT

public:
    explicit WinMainC(QWidget *aParent, PortableServer::POA_var aPoa, TCzat::FacRoom_var aFacRoom);
    ~WinMainC();
protected slots:
    void returnPressed();
    void showMessage(QString aFrom, QString aTo, QString aMessage);
    void addUser(QString aName);
    void delUser(QString aName);
    void connectToServer();
    void disconnectFromServer();

protected:
    Ui::WinMain *ui;

    PortableServer::POA_var mPoa;
    TCzat::FacRoom_var mFacRoom;
    TCzat::Room_var mRoom;
    //TCzat::User_var mUser;
    PortableServer::Servant_var<UserImp> mUser;
    TCzat::RoomController_var mRoomController;
};

#endif // WINMAIN_H
