#ifndef ROOMCONTROLLERIMP_H
#define ROOMCONTROLLERIMP_H

#include <QString>
#include "../tczat-interfaces/tczat.hh"

using namespace std;


class RoomControllerImp : public POA_TCzat::RoomController
{
public:
    RoomControllerImp(TCzat::Room_ptr aRoom, PortableServer::POA_ptr aPOA);
    virtual ~RoomControllerImp();

    void message(const ::CORBA::WChar* aFrom, const ::CORBA::WChar* aTo, const ::CORBA::WChar* aMessage);
    void removeUser(::TCzat::User_ptr aUser);
    TCzat::IteUser_ptr users();
    void destroy();

protected:
    TCzat::Room_ptr mRoom;
    PortableServer::POA_ptr mPoa;
};

#endif // ROOMCONTROLLERIMP_H
