#ifndef ROOM_H
#define ROOM_H

#include "../tczat-interfaces/tczat.hh"

using namespace std;

#include <QString>
#include <QList>
#include <QHash>

class IteUserImp;

class RoomImp : public POA_TCzat::Room
{
public:
    RoomImp(PortableServer::POA_ptr aPOA, TCzat::FacRoom_ptr aFacRoom, QString aName);
    virtual ~RoomImp();

    ::CORBA::WChar* name();
    void setName(const ::CORBA::WChar* aName);
    TCzat::RoomController_ptr joinUser( ::TCzat::User_ptr aUser);
    void removeUser(::TCzat::User_ptr aUser);
    void message(const ::CORBA::WChar* aFrom, const ::CORBA::WChar* aTo, const ::CORBA::WChar* aMessage);
    TCzat::IteUser_ptr users();
    void removeIteUser(::TCzat::IteUser_ptr aIterator);

//signals:

//public slots:
protected:
    PortableServer::POA_var mPoa;
    PortableServer::POA_var mUserIteratorPoa;
    QString mName;
    QList<TCzat::User_var> mUsers;
    QHash<PortableServer::ObjectId_var, TCzat::IteUser_ptr> mUserIterators;
    TCzat::FacRoom_var mFacRoom;
};

#endif // ROOM_H
