QT += core
QT += gui widgets

TARGET = tczat-server
CONFIG += console
CONFIG -= app_bundle

DEFINES += __x86__ __NT__ __OSVERSION__=4 __WIN32__

TEMPLATE = app

QMAKE_CXXFLAGS += /FS

SOURCES += \
    RoomImp.cpp \
    Main.cpp \
    ../../lib/Errors/FacErrors.cpp \
    ../tczat-interfaces/tczatSK.cc \
    RoomControllerImp.cpp \
    IteUserImp.cpp \
    FacRoomImp.cpp

HEADERS += \
    RoomImp.h \
    ../../lib/Errors/FacErrors.h \
    ../tczat-interfaces/tczat.hh \
    RoomControllerImp.h \
    IteUserImp.h \
    FacRoomImp.h

INCLUDEPATH += $$quote(../../lib/Errors/)

CONFIG(debug, debug|release) {
    LIBS += -LC:/x-unix/omniORB/lib/x86_win32/ -lomniORB4_rtd -lomnithread_rtd -lmsvcstubd -NODEFAULTLIB:libcmtd.lib -NODEFAULTLIB:libcmtdd.lib
    DEFINES += DEBUG
}
CONFIG(release, debug|release) {
    LIBS += -LC:/x-unix/omniORB/lib/x86_win32/ -lomniORB4_rt -lomnithread_rt -lmsvcstub -NODEFAULTLIB:libcmt.lib -NODEFAULTLIB:libcmtd.lib
}
