#ifndef USERIMP_H
#define USERIMP_H

#include <QString>
#include <QObject>
#include "../tczat-interfaces/tczat.hh"

//using namespace TCzat;
using namespace POA_TCzat;
using namespace std;

class UserImp : public QObject, public POA_TCzat::User
{
    Q_OBJECT
public:
    UserImp(PortableServer::POA_var aPoa);
    ~UserImp();

    TCzat::eUserType userType();
    void userType(::TCzat::eUserType _v);
    ::CORBA::WChar* name();
    void name(const ::CORBA::WChar* _v);
    ::CORBA::WChar* password();
    void password(const ::CORBA::WChar* _v);
    void showMessage(const ::CORBA::WChar* aFrom, const ::CORBA::WChar* aTo, const ::CORBA::WChar* aMessage);
    void sendMessage(const ::CORBA::WChar* aFrom, const ::CORBA::WChar* aTo, const ::CORBA::WChar* aMessage);
    void addUser(::TCzat::User_ptr aUser);
    void delUser(::TCzat::User_ptr aUser);
    void destroy();

public:
    PortableServer::POA_var mPoa;
    QString mRoom;
    TCzat::eUserType mUserType;
    QString mName;
    QString mPassword;
    PortableServer::ObjectId_var mUserObjectID;
    //TCzat::RoomController_ptr mRoomController;

signals:
    void newMessage(QString aFrom, QString aTo, QString aMessage);
    //void sendMessageToServer(QString aFrom, QString aTo, QString aMessage);
    void sigAddUser(QString aName);
    void sigDelUser(QString aName);
};

#endif // USERIMP_H
