#ifndef FACROOM_H
#define FACROOM_H

#include <QList>
#include "../tczat-interfaces/tczat.hh"

class FacRoomImp : public POA_TCzat::FacRoom
{
public:
    FacRoomImp(PortableServer::POA_ptr aPoa);
    ~FacRoomImp();

    TCzat::Room_ptr openRoom(const ::CORBA::WChar* aRoomName);
    TCzat::RoomSeq* openedRoomList();
    void closeRoom(::TCzat::Room_ptr aRoom);
protected:
    QList<TCzat::Room_var> mRooms;
    PortableServer::POA_ptr mPoa;
};

#endif // FACROOM_H
