#ifndef ITERUSERIMPL_H
#define ITERUSERIMPL_H

#include <QList>
#include "../tczat-interfaces/tczat.hh"

using namespace std;

class IteUserImp : public POA_TCzat::IteUser
{
public:
    IteUserImp(TCzat::Room_ptr aRoom, PortableServer::POA_ptr aPoa, QList<TCzat::User_var>& aUsers);
    virtual ~IteUserImp();

    TCzat::UserSeq* nextN(::CORBA::Long aHowMany);
    void destroy();

protected:
    TCzat::Room_ptr mRoom;
    PortableServer::POA_ptr mPoa;
    QList<TCzat::User_var>& mUsers;
};

#endif // ITERUSERIMPL_H
